Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class Tree

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.hsqldb.util.Tree

public class Tree
extends Panel

Inner classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`Tree()`

Method Summary
`void` | `addRow(java.lang.String , java.lang.String , java.lang.String , int )`
`void` | `addRow(java.lang.String , java.lang.String )`
`(package private) void` | `adjustScroll()`
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()`
`boolean` | `handleEvent(java.awt.Event )`
`java.awt.Dimension` | `minimumSize()`
`boolean` | `mouseDown(java.awt.Event , int , int )`
`void` | `paint(java.awt.Graphics )`
`java.awt.Dimension` | `preferredSize()`
`void` | `removeAll()`
`void` | `reshape(int , int , int , int )`
`void` | `setMinimumSize(java.awt.Dimension )`
`void` | `update()`
`void` | `update(java.awt.Graphics )`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, remove, getLayout, setLayout, doLayout, layout, invalidate, validate, setFont, getMaximumSize, getAlignmentX, getAlignmentY, print, paintComponents, printComponents, addContainerListener, removeContainerListener, getListeners, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, show, hide, getForeground, setForeground, getBackground, setBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tree

    public Tree()

Method Detail

### addRow

    public void addRow(java.lang.String , java.lang.String , java.lang.String , int )

### addRow

    public void addRow(java.lang.String , java.lang.String )

### adjustScroll

    void adjustScroll()

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

### handleEvent

    public boolean handleEvent(java.awt.Event )

### minimumSize

    public java.awt.Dimension minimumSize()

### mouseDown

    public boolean mouseDown(java.awt.Event , int , int )

### paint

    public void paint(java.awt.Graphics )

### preferredSize

    public java.awt.Dimension preferredSize()

### removeAll

    public void removeAll()

### reshape

    public void reshape(int , int , int , int )

### setMinimumSize

    public void setMinimumSize(java.awt.Dimension )

### update

    public void update()

### update

    public void update(java.awt.Graphics )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD